Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPSignature

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPSignature

public class PGPSignature
extends java.lang.Object

A PGP signature object.

Field Summary
`static int` | `BINARY_DOCUMENT`
`static int` | `CANONICAL_TEXT_DOCUMENT`
`static int` | `CASUAL_CERTIFICATION`
`static int` | `CERTIFICATION_REVOCATION`
`static int` | `DEFAULT_CERTIFICATION`
`static int` | `DIRECT_KEY`
`static int` | `KEY_REVOCATION`
`static int` | `NO_CERTIFICATION`
`static int` | `POSITIVE_CERTIFICATION`
`static int` | `STAND_ALONE`
`static int` | `SUBKEY_BINDING`
`static int` | `SUBKEY_REVOCATION`
`static int` | `TIMESTAMP`

Method Summary
`void` | `encode(java.io.OutputStream outStream)`
`byte[]` | `getEncoded()`
`byte[]` | `getSignature()`
`byte[]` | `getSignatureTrailer()`
`void` | `initVerify(PGPPublicKey pubKey, java.lang.String provider)`
`void` | `update(byte b)`
`void` | `update(byte[] bytes)`
`void` | `update(byte[] bytes, int off, int length)`
`boolean` | `verify()`
`boolean` | `verifyCertification(java.lang.String id, PGPPublicKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BINARY_DOCUMENT

    public static final int BINARY_DOCUMENT

See Also:
  Constant Field Values

### CANONICAL_TEXT_DOCUMENT

    public static final int CANONICAL_TEXT_DOCUMENT

See Also:
  Constant Field Values

### STAND_ALONE

    public static final int STAND_ALONE

See Also:
  Constant Field Values

### DEFAULT_CERTIFICATION

    public static final int DEFAULT_CERTIFICATION

See Also:
  Constant Field Values

### NO_CERTIFICATION

    public static final int NO_CERTIFICATION

See Also:
  Constant Field Values

### CASUAL_CERTIFICATION

    public static final int CASUAL_CERTIFICATION

See Also:
  Constant Field Values

### POSITIVE_CERTIFICATION

    public static final int POSITIVE_CERTIFICATION

See Also:
  Constant Field Values

### SUBKEY_BINDING

    public static final int SUBKEY_BINDING

See Also:
  Constant Field Values

### DIRECT_KEY

    public static final int DIRECT_KEY

See Also:
  Constant Field Values

### KEY_REVOCATION

    public static final int KEY_REVOCATION

See Also:
  Constant Field Values

### SUBKEY_REVOCATION

    public static final int SUBKEY_REVOCATION

See Also:
  Constant Field Values

### CERTIFICATION_REVOCATION

    public static final int CERTIFICATION_REVOCATION

See Also:
  Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

Method Detail

### initVerify

    public void initVerify(PGPPublicKey pubKey,
                           java.lang.String provider)
                    throws java.security.NoSuchProviderException,
                           PGPException

    `java.security.NoSuchProviderException`
    `PGPException`

### update

    public void update(byte b)
                throws java.security.SignatureException

    `java.security.SignatureException`

### update

    public void update(byte[] bytes)
                throws java.security.SignatureException

    `java.security.SignatureException`

### update

    public void update(byte[] bytes,
                       int off,
                       int length)
                throws java.security.SignatureException

    `java.security.SignatureException`

### verify

    public boolean verify()
                   throws PGPException,
                          java.security.SignatureException

    `PGPException`
    `java.security.SignatureException`

### verifyCertification

    public boolean verifyCertification(java.lang.String id,
                                       PGPPublicKey key)
                                throws PGPException,
                                       java.security.SignatureException

    `PGPException`
    `java.security.SignatureException`

### getSignatureTrailer

    public byte[] getSignatureTrailer()

### getSignature

    public byte[] getSignature()
                        throws PGPException

    `PGPException`

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

    `java.io.IOException`

### encode

    public void encode(java.io.OutputStream outStream)
                throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD